clang-tools 10.0.0

Public Member Functions | Public Attributes | List of all members
clang::doc::TypeInfo Struct Reference

`#include <Representation.h>`

Inheritance diagram for clang::doc::TypeInfo:
[legend]
Collaboration diagram for clang::doc::TypeInfo:
[legend]

## Public Member Functions
| TypeInfo ()=default
| TypeInfo (SymbolID Type, StringRef Field, InfoType IT)
| TypeInfo (SymbolID Type, StringRef Field, InfoType IT, StringRef Path)
| TypeInfo (llvm::StringRef RefName)
| TypeInfo (llvm::StringRef RefName, StringRef Path)
bool | operator== (const TypeInfo &Other) const

## Public Attributes
Reference | Type

## Detailed Description

Definition at line 152 of file Representation.h.

## Constructor & Destructor Documentation

## ◆ TypeInfo() [1/5]

clang::doc::TypeInfo::TypeInfo | ( |  | ) |
| default

## ◆ TypeInfo() [2/5]

clang::doc::TypeInfo::TypeInfo | ( | SymbolID | Type,
|  | StringRef | Field,
|  | InfoType | IT
| ) |  |
| inline

Definition at line 154 of file Representation.h.

## ◆ TypeInfo() [3/5]

clang::doc::TypeInfo::TypeInfo | ( | SymbolID | Type,
|  | StringRef | Field,
|  | InfoType | IT,
|  | StringRef | Path
| ) |  |
| inline

Definition at line 156 of file Representation.h.

## ◆ TypeInfo() [4/5]

clang::doc::TypeInfo::TypeInfo | ( | llvm::StringRef | RefName | ) |
| inline

Definition at line 158 of file Representation.h.

## ◆ TypeInfo() [5/5]

clang::doc::TypeInfo::TypeInfo | ( | llvm::StringRef | RefName,
|  | StringRef | Path
| ) |  |
| inline

Definition at line 159 of file Representation.h.

## Member Function Documentation

## ◆ operator==()

bool clang::doc::TypeInfo::operator== | ( | const TypeInfo & | Other | ) | const
| inline

Definition at line 161 of file Representation.h.

References Type, and Type.

## Member Data Documentation

## ◆ Type

Reference clang::doc::TypeInfo::Type

Definition at line 163 of file Representation.h.

Referenced by clang::doc::ClangDocBitcodeWriter::emitBlock(), operator==(), clang::doc::FieldTypeInfo::operator==(), clang::doc::MemberTypeInfo::operator==(), and llvm::yaml::TypeInfoMapping().

The documentation for this struct was generated from the following file:

- Representation.h